within TAeZoSysPro_testsuite.Media.SimpleMoistAir;

model test_enthalpyOfVaporization

  package Medium = Modelica.Media.Water.StandardWater;
  //
  Modelica.SIunits.Temperature T;
  Modelica.SIunits.SpecificEnergy h_lv;
  Modelica.SIunits.SpecificEnergy h_lv_check;
  Medium.SaturationProperties sat;
  Medium.ThermodynamicState dewState, bubbleState;

equation
  T = 273.16+time;
  h_lv = TAeZoSysPro.Media.Air.MoistAir.enthalpyOfVaporization(T);
  sat = Medium.setSat_T(T);
  dewState = Medium.setDewState(sat); 
  bubbleState = Medium.setBubbleState(sat); 
  h_lv_check = dewState.h - bubbleState.h;
  T = 273.15;

  annotation (Icon(coordinateSystem(preserveAspectRatio=false)), Diagram(
        coordinateSystem(preserveAspectRatio=false)));
end test_enthalpyOfVaporization;
